Bug 816757 - cluster-delete doesn't delete custom service names
cluster-delete doesn't delete custom service names
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
Development
Unspecified Unspecified
low Severity unspecified
: 2.2
: ---
Assigned To: Robert Rati
Tomas Rusnak
done
:
Depends On:
Blocks: 751870
  Show dependency treegraph
 
Reported: 2012-04-26 17:35 EDT by Robert Rati
Modified: 2012-09-25 04:44 EDT (History)
5 users (show)

See Also:
Fixed In Version: condor-7.6.5-0.15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 14:26:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2012-04-26 17:35:29 EDT
Description of problem:
If a service/failover domain is created with custom names in luci, the cluster-delete command isn't able to delete the service or failover domain.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2012-06-01 15:53:33 EDT
The tools were accidentally using an auto-generated service name when trying to delete configuration through ccs.  The tools will now parse the list of services from ccs and find the specific service name needed to perform actions.

Fixed upstream on:
V7_6-branch
Comment 3 Tomas Rusnak 2012-06-19 06:15:08 EDT
I configured HA schedd service with custom name like this:

# clustat
Cluster Status for HA-schedd @ Tue Jun 19 10:09:46 2012
Member Status: Quorate

 Member Name                                        ID   Status
 ------ ----                                        ---- ------
 rhel-ha-1.hostname                      1 Online, Local, rgmanager
 rhel-ha-2.hostname                      2 Online, rgmanager
 rhel-ha-3.hostname                      3 Online, rgmanager

 Service Name                              Owner (Last)                              State         
 ------- ----                              ----- ------                              -----         
 service:HA_Schedd1                        rhel-ha-1.hostname         started       
 service:HA_Schedd2                        rhel-ha-2.hostname         started       
 service:HA_Schedd3                        rhel-ha-3.hostname         started       
 service:upln3v3l4d1v0kyb1ll               rhel-ha-1.hostname         started 

When I tried to delete it, the name was not found:

# wallaby cluster-delete -n NAME=upln3v3l4d1v0kyb1ll
fatal:  Argument NAME is not valid

# condor_version 
$CondorVersion: 7.6.5 Jun 04 2012 BuildID: RH-7.6.5-0.15.el6 $
$CondorPlatform: X86_64-RedHat_6.2 $

python-wallabyclient-4.1.2-1.el6.noarch
condor-wallaby-client-4.1.2-1.el6.noarch
condor-wallaby-tools-4.1.2-1.el6.noarch
condor-wallaby-base-db-1.22-4.el6.noarch
ruby-wallaby-0.12.5-1.el6.noarch
wallaby-0.12.5-1.el6.noarch
wallaby-utils-0.12.5-1.el6.noarch

Please, could you take a look why this happend?
Comment 4 Robert Rati 2012-06-19 08:28:24 EDT
fatal:  Argument NAME is not valid

^^ That's your problem.  Use name=
Comment 5 Tomas Rusnak 2012-06-19 09:55:36 EDT
Thx, with lowercase parameter name it's working. 

>>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.